
Name:    plasma-setup
Summary: KDE Plasma 5 Desktop Installer
Version: 5.12.8
Release: 1%{?dist}

License: GPLv2
BuildArch: noarch

Provides: plasma-install
Obsoletes: plasma-install

Source0: install.txt

# Plasma Desktop packages
Requires: plasma-desktop
Requires: plasma-workspace
Requires: plasma-drkonqi
Requires: dolphin
Requires: kate
Requires: kwrite
Requires: ksysguard
Requires: kwalletmanager5
Requires: gwenview
Requires: plasma-breeze
Requires: breeze-gtk
Requires: colord-kde
Requires: ark
Requires: kde-gtk-config
Requires: okular
Requires: bluedevil
Requires: kde-print-manager
Requires: plasma-nm
Requires: plasma-nm-pptp
Requires: spectacle
Requires: plasma-discover
Requires: plasma-pa
Requires: plasma-user-manager
Requires: plasma-pk-updates
Requires: kdeplasma-addons
Requires: kdenetwork-filesharing
Requires: kcalc
Requires: kde-connect
Requires: kalgebra
Requires: kdialog
Requires: ksshaskpass
Requires: wacomtablet
Requires: wacomtablet-tabletfinder
Requires: kscreen
Requires: kinfocenter
Requires: okteta
Requires: kompare
Requires: kdevelop
Requires: kdegraphics-thumbnailers
Requires: ksystemlog

# System packages
Requires: PackageKit-yum-plugin

# Qt5 packages
Requires: adwaita-qt5
Requires: qt5-qtdeclarative
Requires: qt5-qtmultimedia
Requires: qt5-qtquickcontrols
Requires: qt5-qtquickcontrols2
Requires: qt5-qtscript
Requires: qt5-qtsvg
Requires: qt5-qttools
Requires: qt5-qtx11extras
Requires: qt5-qtxmlpatterns
Requires: qt5-style-oxygen

# Font packages
Requires: google-noto-fonts-common
Requires: google-noto-sans-fonts
Requires: google-droid-sans-fonts
Requires: dejavu-fonts-common
Requires: dejavu-sans-fonts
Requires: dejavu-sans-mono-fonts
Requires: dejavu-serif-fonts
Requires: liberation-fonts
Requires: liberation-fonts-common
Requires: liberation-mono-fonts
Requires: liberation-narrow-fonts
Requires: liberation-sans-fonts
Requires: liberation-serif-fonts
Requires: open-sans-fonts


%define install_dir /usr/share/doc/plasma-setup

%description
%{summary}.

%prep

%build

%install
mkdir -p %{buildroot}%{install_dir}
install -m 644 %{SOURCE0} %{buildroot}%{install_dir}

%files
%{install_dir}
